part of 'setting_cubit.dart';

abstract class SettingState extends Equatable {
  @override
  List<Object> get props => [];
}

class SettingInitial extends SettingState {

  @override
  String toString() {
    return 'SettingInitial{}';
  }
}
class GetListSettingSuccess extends SettingState {

  @override
  String toString() => 'GetListSettingSuccess';
}
class RefreshSetting extends SettingState {
  @override
  String toString() {
    return 'RefreshSetting{}';
  }
}

class SettingLoading extends SettingState {
  SettingLoading();

  @override
  String toString() => 'SettingLoading';

}


class SettingFailure extends SettingState {
  final String error;

  SettingFailure(this.error);

  @override
  String toString() => 'SettingFailure { error: $error }';
}
class LogoutSuccess extends SettingState {
  @override
  String toString() {
    return 'LogoutSuccess{}';
  }
}
